%define lib_major 1
%define lib_name %mklibname lazy %{lib_major}
%define lib_name_devel %mklibname lazy -d

Name: liblazy
Summary: Liblazy - D-Bus methods provided for convenience
Version: 0.2
Release: %mkrel 2
License: LGPL
Group: System/Libraries
Source: %{name}-%{version}.tar.xz
BuildRequires: dbus-devel 
BuildRequires: pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Liblazy is a simple and easy to use library that provides convenient
functions for sending messages over the D-Bus daemon, querying
information from HAL or asking PolicyKit for a privilege.

#--------------------------------------------------------------------

%package -n %{lib_name}
Summary:  %{summary}
Group: System/Libraries

%description -n %{lib_name}
Liblazy is a simple and easy to use library that provides convenient
functions for sending messages over the D-Bus daemon, querying
information from HAL or asking PolicyKit for a privilege.

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files -n %{lib_name}
%defattr(-,root,root)
%_libdir/liblazy.so.*

#--------------------------------------------------------------------

%package -n %{lib_name_devel}
Summary:  %{summary}
Group: Development/Libraries
Provides: %name-devel
Requires: %{lib_name} = %{version}
Obsoletes: %{_lib}lazy0-devel

%description -n %{lib_name_devel}
Liblazy is a simple and easy to use library that provides convenient
functions for sending messages over the D-Bus daemon, querying
information from HAL or asking PolicyKit for a privilege.

%files -n %{lib_name_devel}
%defattr(-,root,root)
%_libdir/liblazy.so
%_includedir/liblazy.h
%_libdir/pkgconfig/*.pc

#--------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS"

autoreconf -fi
%configure2_5x \
    --enable-static=no 

%make

%install
make DESTDIR=%buildroot install

rm -f %buildroot/%_libdir/liblazy.la


%clean
rm -rf %buildroot 



%changelog
* Wed Sep 06 2017 adrianomorselli <adrianomorselli> 0.2-2uplos2017
- rebuild for 2017
